Subject: help with tree id
From: [email-masked] (Nathan Rose)
Date: 5 May 1994 18:41:06 GMT
Newsgroups: bionet.plants

I am a neophyte at tree identification and am stumped by one which seems
quite common here in Cambridge, MA. It is a small tree with regular small
teeth on the leaves. Right now it is covered with beautiful pink to red
flowers, 5 sepals, 5 petals, many stamens. I don't see any pistils, but
I'm not sure I'm looking at it right.

The flowers look something like a crab-apple but the teeth on the leaves
are finer (at least in comparison to what I find in the Audubon guide).
The leaves seem more like a plum. What else should I look for?

Nathan Rose
[email-masked]

Thanks!